/////////////////////////////////////// *** POMPE JEBAO *** ///////////////////////////////////////
// **************************************** fonction marche / arret
if (statutboutonbrassage==HIGH){ // bonton fermé = brassage OFF
    // *** pompe 1 ***
  pwmjebao1 = 0;
  analogWrite(jebao1, 0);
  // *** pompe 2 ***
  pwmjebao2 = 0;
  analogWrite(jebao2, 0); 
  // *** pompe 3 ***
  pwmjebao3 = 0;
  analogWrite(jebao3, 0);  
}

else { // bouton ouvert = brassage ON selon TIME
/////////////////////////////////////// *** BOUTONS *** ///////////////////////////////////////
// **************************************** bouton distribution nouriture
if (statutboutonalimentation==LOW) {
  digitalWrite(remontee, HIGH);
  tempsprecedent2 = tempsactuel;
  compteur3 = 1;
  }  
// **************************************** fonction distribution nouriture
if (tempsactuel - tempsprecedent2 <= delaisnouriture) {
  // *** pompe 1 ***
  pwmjebao1 = 85;
  analogWrite(jebao1, 85);
  // *** pompe 2 ***
  pwmjebao2 = 85;
  analogWrite(jebao2, 85); 
  // *** pompe 3 ***
  pwmjebao3 = 85;
  analogWrite(jebao3, 85);  
  }

// **************************************** bouton tempette  
if (statutboutontempete==LOW) {
  tempsprecedent3 = tempsactuel;
  }  
// **************************************** fonction tempette + affichage
else if (tempsactuel - tempsprecedent3 <= delaistempette){
  // *** pompe 1 ***
  pwmjebao1 = 255;
  analogWrite(jebao1, 255);
  // *** pompe 2 ***
  pwmjebao2 = 255;
  analogWrite(jebao2, 255);
  // *** pompe 3 ***
  pwmjebao3 = 255;
  analogWrite(jebao3, 255);
  // *** affichage ***
  if (img3==true){
    img3 = !img3;
    drawBMP("tempet.bmp", 200, 240, BU_BMP);
    } 
  }

// **************************************** PWM JEBAO + affichage icone soleil
else if ((time >= LEVERbleu1) && (time < finLEVERblanc2)){ 
  // *** pompe 1 ***
  pwmjebao1 = map(time, LEVERbleu1, finLEVERblanc2, 85, puissancejebao1);
  analogWrite (jebao1, pwmjebao1);
  // *** pompe 2 ***
  pwmjebao2 = map(time, LEVERbleu1, finLEVERblanc2, 85, puissancejebao2);
  analogWrite (jebao2, pwmjebao2);
  // *** pompe 3 ***
  pwmjebao2 = map(time, LEVERbleu1, finLEVERblanc2, 85, puissancejebao3);
  analogWrite (jebao3, pwmjebao3);
  // *** affichage ***
  if (img5==true){
    img5 = !img5;
    drawBMP("sol1.bmp", 230, 5, BU_BMP);
    }
  if (img3==false){
    img3 = !img3;
    tft.fillRect(200, 240, 50, 75, TFT_BLACK);
    }
  }
  
else if ((time >= finLEVERblanc2) && (time < COUCHERblanc1)) {
  // *** pompe 1 ***
  pwmjebao1 = puissancejebao1;
  analogWrite(jebao1, puissancejebao1);
  // *** pompe 2 ***
  pwmjebao2 = puissancejebao2;
  analogWrite(jebao2, puissancejebao2);
  // *** pompe 3 ***
  pwmjebao3 = puissancejebao3;
  analogWrite(jebao3, puissancejebao3);
  // *** affichage ***
  if (img5==false){
    img5 = !img5;
    drawBMP("sol2.bmp", 230, 5, BU_BMP);
    }
  if (img3==false){
    img3 = !img3;
    tft.fillRect(200, 240, 50, 75, TFT_BLACK);
    }
  } 
else if ((time >= COUCHERblanc1) && (time < finCOUCHERbleu2)){
  // *** pompe 1 ***  
  pwmjebao1 = map(time, COUCHERblanc1, finCOUCHERbleu2, puissancejebao1, 85);
  analogWrite (jebao1, pwmjebao1);
  // *** pompe 2 *** 
  pwmjebao2 = map(time, COUCHERblanc1, finCOUCHERbleu2, puissancejebao2, 85);
  analogWrite (jebao2, pwmjebao2);
  // *** pompe 3 ***
  pwmjebao3 = map(time, COUCHERblanc1, finCOUCHERbleu2, puissancejebao3, 85);
  analogWrite (jebao3, pwmjebao3); 
  // *** affichage *** 
  if (img5==true){
    img5 = !img5; 
    drawBMP("sol3.bmp", 230, 5, BU_BMP);
    }
  if (img3==false){
    img3 = !img3;
    tft.fillRect(200, 240, 50, 75, TFT_BLACK);
    }
  }  
   
else {
  // *** pompe 1 ***
  pwmjebao1 = 85;
  analogWrite(jebao1, 85);
  // *** pompe 2 ***
  pwmjebao2 = 85;
  analogWrite(jebao2, 85);
  // *** pompe 3 ***
  pwmjebao3 = 85;
  analogWrite(jebao3, 85);
  // *** affichage ***  
  if (img5==false){
    img5 = !img5; 
    drawBMP("sol4.bmp", 230, 5, BU_BMP);
    }
  if (img3==false){
    img3 = !img3;
    tft.fillRect(200, 240, 50, 75, TFT_BLACK);
    }      
  }
}
